{% load static from staticfiles %}
{% load crispy_forms_tags %}
<!DOCTYPE html>

<head>
    <title>Daftar Donasi Anda</title>
    {% include 'import.html' %}
    <link rel="stylesheet" href="{% static 'donation/css/form_donasi.css' %}">
    <script type="text/javascript" src="{% static 'donation/js/donation.js' %}"></script>
    <style>
        body {
            background-image: url("{% static 'crowdfunding/images/background-1.jpg' %}");
        }
    </style>
</head>
<script>
    $(
        $.get("{% url 'donation-api' user.email %}", function (data, status) {
            var donations = data.donations;
            var donation_div = document.getElementById("donations");
            donations.forEach(donation => {
                var program_name = donation[0];
                var amount = donation[1];

                var donation_row = document.createElement("tr");
                var donation_name = document.createElement("td");
                var donation_total = document.createElement("td");

                donation_name.innerHTML = program_name;
                donation_total.innerHTML = "Rp. " + amount.toLocaleString("id-ID");

                donation_row.append(donation_name);
                donation_row.append(donation_total);
                donation_div.append(donation_row);



            })
        })
    );
</script>

<body>
{% include 'navbar.html' %}
<br>

<div id="panel" class="history" style="overflow-y: scroll;">
    <div class="panel-yellow">
        <div class="text-center">
            <h3 class="display-4 form-title">RIWAYAT DONASI</h3>
            <div class="blue-line" style="width: 60%"></div>
        </div>
        <br>
        <div class="row" style="padding: 20px;">
            <table class="table table-hover">
                <thead>
                  <tr>
                    <th><h3>NAMA PROGRAM</h3></th>
                    <th><h3>TOTAL DONASI</h3></th>
                  </tr>
                </thead>

                <tbody id="donations">
                </tbody>
            </table>
       </div>
    </div>
</div>

</body>
